Bug 1588688 (CVE-2016-1000340) - CVE-2016-1000340 bouncycastle: Carry propagation bug in math.raw.Nat??? class
Summary: CVE-2016-1000340 bouncycastle: Carry propagation bug in math.raw.Nat??? class
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-1000340
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1588689 1588690 1588691 1589576 1589577 1592662
Blocks: 1588310
TreeView+ depends on / blocked
 
Reported: 2018-06-07 17:49 UTC by Pedro Sampaio
Modified: 2019-09-29 14:41 UTC (History)
60 users (show)

Fixed In Version: bouncycastle 1.56
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:27:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2669 None None None 2018-09-11 07:57:18 UTC
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:25:15 UTC

Description Pedro Sampaio 2018-06-07 17:49:16 UTC
In the Bouncy Castle JCE Provider versions 1.51 to 1.55, a carry propagation bug was introduced in the implementation of squaring for several raw math classes have been fixed (org.bouncycastle.math.raw.Nat???). These classes are used by our custom elliptic curve implementations (org.bouncycastle.math.ec.custom.**), so there was the possibility of rare (in general usage) spurious calculations for elliptic curve scalar multiplications. Such errors would have been detected with high probability by the output validation for our scalar multipliers.

Upstream patch:

https://github.com/bcgit/bc-java/commit/790642084c4e0cadd47352054f868cc8397e2c00#diff-e5934feac8203ca0104ab291a3560a31

Comment 1 Pedro Sampaio 2018-06-07 17:51:14 UTC
Created bouncycastle tracking bugs for this issue:

Affects: epel-all [bug 1588689]
Affects: fedora-all [bug 1588691]

Comment 3 Mat Booth 2018-06-07 19:57:27 UTC
(In reply to Pedro Sampaio from comment #1)
> Affects: fedora-all [bug 1588691]

Fedora already carries bouncycastle newer than 1.56, so I will close this bug.

Comment 6 Kurt Seifried 2018-06-10 20:29:17 UTC
Statement:

This issue affects the versions of bouncycastle as shipped with Red Hat Subscription Asset Manager 1.x. Red Hat Product Security has rated this issue as having a security impact of Low. No update is planned for this product at this time. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 8 errata-xmlrpc 2018-09-11 07:56:58 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:2669 https://access.redhat.com/errata/RHSA-2018:2669

Comment 9 errata-xmlrpc 2018-10-16 15:24:51 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.4 for RHEL 7

Via RHSA-2018:2927 https://access.redhat.com/errata/RHSA-2018:2927

Comment 10 Joshua Padman 2019-05-15 22:52:06 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat JBoss Data Virtualization & Services 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.


Note You need to log in before you can comment on or make changes to this bug.